no consigo aceleracion 3d

Imagen de amper
0 puntos

acabo de instalar el driver de ati en mi ordenador siguiendo los pasos de un how to para conseguir aceleracion 3d per al comprovarlo con glxinfo | grep -i direct me sale direct rendeing no, tengo una ati mobility radeon 9600/9700 series. que puedo hacer?

Imagen de miquel adroer
+1
0
-1

T cuento como lo hice y me fue bien:
Abre Terminal (aplicaciones - Accesorios - Terminal)
Ejecuta estas lineas:
"sudo aptitude update"
"sudo aptitude dist-upgrade"
Ahora reinicia tu PC y comprueba si te va. En caso que no prueba:
"sudo apt-get update"
"sudo apt-get install linux-restricted-modules-$(uname-r)"
"sudo apt-get install xorg-driver-fglrx"
"sudo aticonfig-initial"
"sudo aticonfig-overlay-type=Xv"

Suerte. Animo que lo nuevo cuesta un poco pero luegos veras que guay!

+1
0
-1
Imagen de santi...
+1
0
-1

alvbarret.. si tienes acel. 3D, pero con algun problema... nose.

amper, el fallo es que (uname-r) esta mal escrito, es (uname -r) con un espacio antes de la -r, de todas formas mirate esto:

http://www.ubuntu-es.org/index.php?q=node/39476#comment-92660

+1
0
-1

.....................
...Pero no me hagas mucho caso... no soy ningun experto.

Imagen de amper
+1
0
-1

muchas gracias santi, ese script es mano de santo

+1
0
-1
Imagen de amper
+1
0
-1

al ejecutar las dos primeras lineas me actualiza y descarga cosas pero al reiniciar sigo sin tener aceleracion 3D
amper@amper-:~$ glxinfo | grep direct
Xlib: extension "XFree86-DRI" missing on display ":0.0".
direct rendering: No
OpenGL renderer string: Mesa GLX Indirect
luego ejecuto las lineas de abajo y al final me sale esto:

amper@amper-:~$ sudo apt-get install linux-restricted-modules-$(uname-r)
bash: uname-r: orden no encontrada
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: No se pudo encontrar el paquete linux-restricted-modules

que hago? sigo ejecutando las lineas que faltan?
tengo que añadir mas fuentes a la sources list?

+1
0
-1
Imagen de hugolino
+1
0
-1

el error de que no encuentra el paquete puede deberse a que no tenés activados los repositorios de universe y multiverse, fijate arriba en la búsqueda o en Guía Ubuntu (en el link que dice Documentación) están los paso a paso de cómo activarlos

una vez actualizados los repositorios, probá otra vez esa línea

EDIT: qué how to usaste para instalar la placa Ati? en Guía ubuntu tenés uno completo también

+1
0
-1
Imagen de amper
+1
0
-1

si tengo los repositorios activados, ya los activé en su dia cuando hice la conexión a internet, gracias de todas formas, no se te ocurre otra razon??

+1
0
-1
Imagen de hugolino
+1
0
-1

podés probar buscar ese paquete manualmente en synaptic, yo lo tengo, así que debería estar :S

+1
0
-1
Imagen de alvbarrett
+1
0
-1

si me sale esto, quiere decir que tengo aceletación 3D ???
O que representa??? >_>

libGL warning: 3D driver claims to not support visual 0x4b
direct rendering: Yes

+1
0
-1
Imagen de hugolino
+1
0
-1

si dice Direct Rendering: Yes, entonces si, está activada

el error que está en la línea de arriba no estoy seguro qué es, pero acabo de leer que puede pasarte si tenés una tarjeta Intel y que no es un error grave (lo leí recién por este mismo foro, no tengo esas placas así que no sé mucho :P)

+1
0
-1
Imagen de alvbarrett
+1
0
-1

pues...he intentado correr el Beryl...y el muy "&#$%&...complicado...no corre...y lo único que veo como posible causa es mi tarjeta...que es una..ati Radeon x300...y he hecho varias cosas malas para mi compu tratando de que corra...='(...

bueno gracias por contestar...

+1
0
-1
Imagen de hugolino
+1
0
-1

anduve buscando un poco y llegué a esto http://ubuntuforums.org/showthread.php?t=309872&page=2 en el foro en inglés, al final uno recomendó usar los drivers fglrx y XGL, y puso que el problema debe ser usar los drivers ATI y el AIGLX

y leí que el error no trae problemas de funcionamiento en la pc, que es algo estetico y no funcional, por eso parece que no te anda el beryl :S

no sé, no tengo ni tarjeta ati, ni tengo pensado instalar beryl ni ninguna de esas cosas, lo único que te puedo decir es que prubes XGL+drivers fglrx si es que no es lo que ya estás usando

+1
0
-1
Imagen de alvbarrett
+1
0
-1

mañana me lo leo para ver que tal...

hsata luego

+1
0
-1